HTMLEditorKit.Parser (Java Platform SE 8 )
Keywords: javax.swing.text.html.HTMLEditorKit.Parser class
Date: 2018-07-01

javax.swing.text.html

## Class HTMLEditorKit.Parser

- java.lang.Object
- - javax.swing.text.html.HTMLEditorKit.Parser

- Direct Known Subclasses:
    ParserDelegator
  Enclosing class:
    HTMLEditorKit

      public abstract static class HTMLEditorKit.Parser
      extends Object

  Interface to be supported by the parser. This enables providing a different parser while reusing some of the implementation provided by this editor kit.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parser()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)` Parse the given stream and drive the given callback with the results of the parse.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Parser

          public Parser()

  - ### Method Detail

    - #### parse

          public abstract void parse(Reader r,
                                     HTMLEditorKit.ParserCallback cb,
                                     boolean ignoreCharSet)
                              throws IOException

      Parse the given stream and drive the given callback with the results of the parse. This method should be implemented to be thread-safe.
      Throws:
        `IOException`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.